using System.ComponentModel;

namespace OpenWarehouse.auth.lib.Model.Role;

public class RoleModel
{
    public RoleModel()
    {
        Privilage = new List<string>();
    }
    public RoleModel(bool isGlobalAdmin, string? roleName, List<string>? privilage) : this()
    {
        IsGlobalAdmin = isGlobalAdmin;
        RoleName = roleName;
        Privilage = privilage;
    }
    
    public string? RoleName { get; set; }
    [DefaultValue(false)]
    public bool IsGlobalAdmin { get; set; }
    public List<string>? Privilage { get; set; }
}